Mute Topline Alert
Reference for the POST /console/v1/alerts/{id}/mute endpoint of the Statsig API.
https://statsigapi.net/console/v1/alerts/{id}/muteAuthorizations
STATSIG-API-KEYstringrequiredapiKey (header)
Path parameters
idstringrequiredid
Body
application/jsonindefinitebooleanMute the alert indefinitely until manually unmuted
durationSecondsintegerMute duration in whole seconds
format: int64min: 0groupBysobject[]Mute only alert evaluations matching these group-by values. Omit to mute the entire alert.
Show child attributes
keystringrequiredGroup-by property key
valuestringrequiredGroup-by value to mute
currentScheduleobjectExisting mute schedule to replace. Omit to update a mute that matches groupBys; use GET /alerts/:id activeMuteSchedules to discover values.
nullableShow child attributes
startnumberrequiredStart timestamp in seconds for the schedule being replaced (matches GraphQL mute schedule format)
format: doubleendnumberrequiredEnd timestamp in seconds for the schedule being replaced (0 means indefinite)
format: doublegroupBysobject[]requiredGroup-by values for the schedule being replaced (required to update a grouped mute)
keystringrequiredGroup-by property key
valuestringrequiredGroup-by value to mute
Response
application/jsonmessagestringrequiredA simple string explaining the result of the operation.
dataobjectrequiredShow child attributes
idstringrequiredID of the alert
namestringrequiredName of the alert
alertTypestringrequiredType of alert
thresholdchangepct_changemetricsobjectrequiredList of metrics associated with this alert
metricGroupBysobjectrequiredMetric groupbys
formulastringFormula for the alert
messagestringrequiredAlert message
creatorIDstringcompanyIDstringrequiredprioritystringrequiredPriority of this alert
P0P1P2P3P4P5alertThresholdnumberrequiredformat: doublewarningThresholdnumberformat: doublewindowMsnumberrequiredHow far back and how frequently a metric should be checked, in milliseconds
format: doubleevaluationDelayMsnumberDelay before evaluating metrics, in milliseconds. Use 0 or null to clear.
format: doublenullableconditionstringrequiredCondition under which a metric change triggers an alert in milliseconds
greatergreater_or_equallessless_or_equalequalnot_equalrenotificationConditionsstring[]Condition under which a re-notification is sent
renotificationWindowMsnumberHow long to wait before re-notifying in milliseconds
format: doublerenotificationMessagestringRe-notification message
teamstringTeam associated with this alert
nullableownerobjectSchema for owner data including ID, type, name.
{"ownerID":"user123","ownerType":"USER","ownerName":"John Doe","ownerEmail":"owner123@test.com"}nullableownerIDstringID of the owner
abc123ownerTypestringType of the owner (e.g., SDK_KEY or USER)
USERownerNamestringThe name of the owner. This field is optional.
John DoeownerEmailstringThe email of the owner. This field is optional.
tagsstring[]requiredTags associated with this alert
statusstringrequiredCurrent evaluation status of the alert
alertsetup_incompletestablewarnnullablelastTriggeredTimenumberrequiredTimestamp in milliseconds of the last time this alert triggered
format: doublenullableactiveMuteSchedulesobject[]requiredActive v2 mute schedules for this alert, for use as currentSchedule when remuting
startnumberrequiredMute schedule start timestamp in seconds
endnumberrequiredMute schedule end timestamp in seconds (0 means indefinite)
groupBysobject[]requiredGroup-by values covered by this mute schedule (empty means whole alert)
keystringrequiredGroup-by property key
valuestringrequiredGroup-by value to mute
statusnumberrequired403messagestringrequiredForbidden resourcestatusintegerrequired404messagestringrequiredWas this helpful?